org.codehaus.groovy.util

## Class ManagedConcurrentValueMap<K,V>

- java.lang.Object
- - org.codehaus.groovy.util.ManagedConcurrentValueMap<K,V>

- Type Parameters:
    `K` - the key type
    `V` - the value type

      public class ManagedConcurrentValueMap<K,V>
      extends java.lang.Object

  This is a basic implementation of a map able to forget its values. This map uses internally a ConcurrentHashMap, thus should be save for concurrency. hashcode and equals are used to find the entries and should thus be implemented properly for the keys. This map does not support null keys.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagedConcurrentValueMap(ReferenceBundle bundle)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `V` | `get(K key)` Returns the value stored for the given key at the point of call.
    `void` | `put(K key, V value)` Sets a new value for a given key. an older value is overwritten.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagedConcurrentValueMap

          public ManagedConcurrentValueMap(ReferenceBundle bundle)

  - ### Method Detail

    - #### get

          public V get(K key)

      Returns the value stored for the given key at the point of call.
      Parameters:
        `key` - a non null key
      Returns:
        the value stored in the map for the given key

    - #### put

          public void put(K key,
                 V value)

      Sets a new value for a given key. an older value is overwritten.
      Parameters:
        `key` - a non null key
        `value` - the new value